ThreadingHandler (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface ThreadingHandler

    public interface ThreadingHandler

Base contract for classes that can perform tasks in different threads following the conventions set by the application.

Authors:
  Andres Almiray

Since:
  0.9.3

Method Summary
`void` | `execAsync(Runnable runnable)` Executes a code block asynchronously on the UI thread.
`Future` | `execFuture(ExecutorService executorService, Closure closure)` Executes a code block as a Future on an ExecutorService.
`Future` | `execFuture(Closure closure)` Executes a code block as a Future on a default ExecutorService.
`Future` | `execFuture(ExecutorService executorService, Callable callable)` Executes a code block as a Future on an ExecutorService.
`Future` | `execFuture(Callable callable)` Executes a code block as a Future on a default ExecutorService.
`void` | `execInsideUIAsync(Runnable runnable)` Executes a code block asynchronously on the UI thread.
`void` | `execInsideUISync(Runnable runnable)` Executes a code block synchronously on the UI thread.
`void` | `execOutside(Runnable runnable)` Executes a code block outside of the UI thread.
`void` | `execOutsideUI(Runnable runnable)` Executes a code block outside of the UI thread.
`void` | `execSync(Runnable runnable)` Executes a code block synchronously on the UI thread.
`boolean` | `isUIThread()` True if the current thread is the UI thread.

Method Detail

### execAsync

    @Deprecated
    public void execAsync(Runnable runnable)

  Executes a code block asynchronously on the UI thread.
  deprecated:
    use #execInsideUIAsync() instead

### execFuture

    public Future execFuture(ExecutorService executorService, Closure closure)

  Executes a code block as a Future on an ExecutorService.

### execFuture

    public Future execFuture(Closure closure)

  Executes a code block as a Future on a default ExecutorService.

### execFuture

    public Future execFuture(ExecutorService executorService, Callable callable)

  Executes a code block as a Future on an ExecutorService.

### execFuture

    public Future execFuture(Callable callable)

  Executes a code block as a Future on a default ExecutorService.

### execInsideUIAsync

    public void execInsideUIAsync(Runnable runnable)

  Executes a code block asynchronously on the UI thread.

### execInsideUISync

    public void execInsideUISync(Runnable runnable)

  Executes a code block synchronously on the UI thread.

### execOutside

    @Deprecated
    public void execOutside(Runnable runnable)

  Executes a code block outside of the UI thread.
  deprecated:
    use #execOutsideUI() instead

### execOutsideUI

    public void execOutsideUI(Runnable runnable)

  Executes a code block outside of the UI thread.

### execSync

    @Deprecated
    public void execSync(Runnable runnable)

  Executes a code block synchronously on the UI thread.
  deprecated:
    use #execInsideUIsync() instead

### isUIThread

    public boolean isUIThread()

  True if the current thread is the UI thread.

Groovy Documentation